Bug 890906

Summary: CVE-2012-6081 CVE-2012-6082 CVE-2012-6080 CVE-2012-6495 moin various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: moinAssignee: Ville-Pekka Vainio <vpvainio>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 17CC: ivazqueznet, jlieskov, kevin, vpvainio
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-19 21:55:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 890903, 890904, 891600, 890902    

Description Huzaifa S. Sidhpurwala 2012-12-30 23:26:10 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Huzaifa S. Sidhpurwala 2012-12-30 23:26:18 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=890902,890906
Comment 2 Huzaifa S. Sidhpurwala 2012-12-30 23:26:58 EST
Adding parent bug CVE-2012-6082.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=890906,890902,890903
Comment 3 Huzaifa S. Sidhpurwala 2012-12-30 23:27:54 EST
Adding parent bug CVE-2012-6080.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=890906,890902,890903,890904
Comment 4 Ville-Pekka Vainio 2012-12-31 14:22:03 EST
Due to holiday travel I will not have the possibility to submit the update right now, it'll take a few days. If someone wants to update the package to 1.9.6, just go ahead. I will only submit the updates to the supported Fedora releases, the EPEL packages are unmaintained.
Comment 5 Jan Lieskovsky 2013-01-03 06:24:28 EST
Adding CVE-2012-6495 (assigned by Mitre) to the list of issues fixed within 1.9.6 version yet.
Comment 6 Fedora Update System 2013-01-10 18:41:59 EST
moin-1.9.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/moin-1.9.6-1.fc18
Comment 7 Fedora Update System 2013-01-10 18:44:18 EST
moin-1.9.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/moin-1.9.6-1.fc17
Comment 8 Fedora Update System 2013-01-10 18:45:24 EST
moin-1.9.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/moin-1.9.6-1.fc16
Comment 9 Kevin Fenzi 2013-01-10 18:46:21 EST
Build and submitted updates. ;) 

let me know if there's any issues.
Comment 10 Fedora Update System 2013-01-11 19:01:32 EST
Package moin-1.9.6-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing moin-1.9.6-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0600/moin-1.9.6-1.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-01-19 21:55:49 EST
moin-1.9.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-01-22 20:38:22 EST
moin-1.9.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-01-22 20:59:51 EST
moin-1.9.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.